Cost: 1 credit per request
Endpoint
GET https://api.endole.co.uk/company/{company_number}/appointments
Parameters
| Parameter | Required | Description |
|---|---|---|
| company_number | Yes | The 8-character official UK Companies House registration number. |
Example Request
curl -X GET "https://api.endole.co.uk/company/00519500/appointments" \
-H "Authorization: Bearer 33e2ea54ca6d9ce3f70b24a4e13d9cf9a451c51f1f2140d21e8e2131cd37fcc"
Example Response
{
"status": "success",
"company_number": "00519500",
"data": {
"appointments": {
"pagination": {
"page": "1",
"per_page": "20",
"total_items": "3",
"total_pages": "1"
},
"items": [
{
"person_id": 27499645,
"name": "Ken Murphy",
"status": "Active",
"role": "Director",
"occupation": "Finance Director",
"appointment_date": "2020-10-01",
"nationality": "Irish",
"country_of_residence": "United Kingdom",
"date_of_birth": {
"year": 1966,
"month": 9
}
},
{
"person_id": 24945503,
"name": "Imran Nawaz",
"status": "Active",
"role": "Director",
"occupation": "Sales Director",
"appointment_date": "2021-05-01",
"nationality": "Luxembourger",
"country_of_residence": "United Kingdom",
"date_of_birth": {
"year": 1973,
"month": 9
}
},
{
"person_id": 29749012,
"name": "William Peter Brasher",
"status": "Resigned",
"role": "Director",
"appointment_date": "2005-07-18",
"resignation_date": "2012-03-15",
"nationality": "British",
"country_of_residence": "United Kingdom",
"date_of_birth": {
"year": 1975,
"month": 12
}
}
]
}
}
}